View Issue Details

IDProjectCategoryView StatusLast Update
0004456Talermerchant frontend (blog)public2016-10-11 17:28
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004456: blog does not serve images contained in blog
DescriptionBoth PHP and Python merchant frontends only serves the article, but not any of the images associated with it.

I propose that we maintain one JSON file with metadata for all articles (the main HTML location and all files that are allowed to be served when that article is purchased).
TagsNo tags attached.

Activities

Marcello Stanisci

2016-07-04 14:47

manager   ~0010965

Guys, since that applies to the *PHP* merchant, I ask you whether it's worth making it stay on 0.1's way.

Florian Dold

2016-07-04 14:48

manager   ~0010966

Does it though? I thought it also applies to the Python merchant.

The quick fix would be to always serve images / content other than the main article HTML, without checking cookies.

Christian Grothoff

2016-07-04 14:51

manager   ~0010967

And even for PHP, we want to make sure we handle this correctly.

Marcello Stanisci

2016-07-07 17:04

manager   ~0010976

Last edited: 2016-07-08 15:07

View 6 revisions

Done with Python blog, in 5889fc0..79e3e9d

Marcello Stanisci

2016-07-22 19:08

manager   ~0010991

PHP blog has now a parser for extracting filenames from articles. The policy to actually serve images only if payed is needed.

Marcello Stanisci

2016-07-25 18:35

manager   ~0010995

PHP side fixed in 8aa4fb4..8101cf9

Issue History

Date Modified Username Field Change
2016-04-21 22:46 Florian Dold New Issue
2016-05-02 09:10 Christian Grothoff Assigned To => Marcello Stanisci
2016-05-02 09:10 Christian Grothoff Status new => assigned
2016-05-02 09:10 Christian Grothoff Product Version => 0.0
2016-05-02 09:10 Christian Grothoff Target Version => 0.1
2016-07-04 14:47 Marcello Stanisci Note Added: 0010965
2016-07-04 14:48 Florian Dold Note Added: 0010966
2016-07-04 14:51 Christian Grothoff Note Added: 0010967
2016-07-04 15:04 Marcello Stanisci Description Updated View Revisions
2016-07-07 17:04 Marcello Stanisci Note Added: 0010976
2016-07-07 17:47 Marcello Stanisci Note Edited: 0010976 View Revisions
2016-07-07 17:48 Marcello Stanisci Note Edited: 0010976 View Revisions
2016-07-07 23:43 Marcello Stanisci Note Edited: 0010976 View Revisions
2016-07-08 14:55 Marcello Stanisci Note Edited: 0010976 View Revisions
2016-07-08 15:07 Marcello Stanisci Note Edited: 0010976 View Revisions
2016-07-22 19:08 Marcello Stanisci Note Added: 0010991
2016-07-25 18:35 Marcello Stanisci Note Added: 0010995
2016-07-25 18:35 Marcello Stanisci Status assigned => resolved
2016-07-25 18:35 Marcello Stanisci Resolution open => fixed
2016-09-19 00:55 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed